import { createRouter, createWebHashHistory } from 'vue-router'

const router = createRouter({
  history: createWebHashHistory(), // hash模式：createWebHashHistory，history模式：createWebHistory
  routes: [
    {
      path: '/',
      redirect: '/home'
    },
    {
      path: '/home',
      name: 'home',
      component: () => import(/* webpackChunkName: "home" */ '../views/Home.vue')
    },
    {
      path: '/login',
      name: 'login',
      component: () => import(/* webpackChunkName: "login" */ '../views/Login.vue')
    },
    {
      path: '/net',
      name: 'level',
      component: () => import('../views/Level.vue')
    },
    {
      path: '/model',
      name: 'model',
      component: () => import('../views/Model.vue')
    },
    {
      path: '/page',
      name: 'page',
      component: () => import('../views/Page.vue')
    },
    {
      path: '/data',
      name: 'data',
      component: () => import('../views/Data.vue')
    },
    // {
    //   path: '/report',
    //   name: 'report',
    //   component: () => import('../views/Report.vue')
    // },
    // {
    //   path: '/transparent',
    //   name: 'transparent',
    //   component: () => import('../views/Transparent.vue')
    // },
    // {
    //   path: '/rules',
    //   name: 'rules',
    //   component: () => import('../views/Rules.vue')
    // }
  ]
})

export default router